Coverage Status Build Status Code Climate Dependency Status Gem Version

Early unofficial Feedly API with no external dependencies


  • no auth for now
  • get methods only
  • continuation not implemented


# Create client for API requests; OAuth token optional
@client = FeedlyApi::Client.new
# Create Feed object for specific feed id
@feed = @client.feed('feed/https://www.eff.org/rss/updates.xml')
# Get array of feed items hashes
# Pass params to get more or less items
@feed.items(count: 50)

Supported Ruby Versions

feedly_api is tested under 1.9.3, 2.0.0, JRuby (1.9 mode), and Rubinius (1.9 mode).


Apache License, Version 2.0